Bug 713865 - [abrt] gvfs-1.4.3-12.el6: Process /usr/libexec/gvfs-gdu-volume-monitor was killed by signal 6 (SIGABRT)
Summary: [abrt] gvfs-1.4.3-12.el6: Process /usr/libexec/gvfs-gdu-volume-monitor was ki...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gvfs
Version: 6.0
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Tomáš Bžatek
QA Contact: Desktop QE
URL:
Whiteboard: abrt_hash:fa13e0e713c848521e8cba04e5c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-16 16:04 UTC by Red Hat Case Diagnostics
Modified: 2018-12-01 16:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-25 19:38:52 UTC
Target Upstream Version:


Attachments (Terms of Use)
File: backtrace (5.84 KB, text/plain)
2011-06-16 16:05 UTC, Red Hat Case Diagnostics
no flags Details

Description Red Hat Case Diagnostics 2011-06-16 16:04:59 UTC
This description generated by Andreas from an ABRT report
architecture: x86_64
cmdline: /usr/libexec/gvfs-gdu-volume-monitor
component: gvfs
executable: /usr/libexec/gvfs-gdu-volume-monitor
kernel: 2.6.32-131.4.1.el6.x86_64
package: gvfs-1.4.3-12.el6
reason: Process /usr/libexec/gvfs-gdu-volume-monitor was killed by signal 6 (SIGABRT)
release: Red Hat Enterprise Linux Server release 6.1 (Santiago)
reproduce: 1.  I did a yum update of all the lastest patches
2.  I rebooted
3.  I logged in

ABRT was waiting with its report...

time: 1308239517
uid: 500
backtrace: warning: core file may not match specified executable file.
[New Thread 9663]
[Thread debugging using libthread_db enabled]
Core was generated by `/usr/libexec/gvfs-gdu-volume-monitor'.
Program terminated with signal 6, Aborted.
#0  0x0000003697232a45 in raise () from /lib64/libc.so.6

Thread 1 (Thread 0x7f12884b27a0 (LWP 9663)):
#0  0x0000003697232a45 in raise () from /lib64/libc.so.6
No symbol table info available.
#1  0x0000003697234225 in abort () from /lib64/libc.so.6
No symbol table info available.
#2  0x0000003696e5ea7f in g_assertion_message () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x0000003696e5f020 in g_assertion_message_expr () from /lib64/libglib-2.0.so.0
No symbol table info available.
#4  0x00000036a1a10036 in gdu_pool_get_presentables () from /usr/lib64/libgdu.so.0
No symbol table info available.
#5  0x000000000040f1a6 in ?? ()
No symbol table info available.
#6  0x0000000000410125 in ?? ()
No symbol table info available.
#7  0x00000036992121fa in g_object_newv () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#8  0x00000036992128ed in g_object_new_valist () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#9  0x0000003699212a4c in g_object_new () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#10 0x0000000000410250 in ?? ()
No symbol table info available.
#11 0x0000000000410391 in ?? ()
No symbol table info available.
#12 0x000000369721ec9d in __libc_start_main () from /lib64/libc.so.6
No symbol table info available.
#13 0x0000000000407359 in ?? ()
No symbol table info available.
#14 0x00007ffff6b4d558 in ?? ()
No symbol table info available.
#15 0x000000000000001c in ?? ()
No symbol table info available.
#16 0x0000000000000001 in ?? ()
No symbol table info available.
#17 0x00007ffff6b4dbfd in ?? ()
No symbol table info available.
#18 0x0000000000000000 in ?? ()
No symbol table info available.
From                To                  Syms Read   Shared Object Library
0x00000036a1a0dd00  0x00000036a1a29e58  Yes (*)     /usr/lib64/libgdu.so.0
0x000000369a208e30  0x000000369a212a98  Yes (*)     /usr/lib64/libgvfscommon.so.0
0x000000369be07090  0x000000369be2e518  Yes (*)     /lib64/libdbus-1.so.3
0x0000003697a05640  0x0000003697a10f28  Yes (*)     /lib64/libpthread.so.0
0x0000003699e01590  0x0000003699e029e8  Yes (*)     /lib64/libgthread-2.0.so.0
0x0000003698202140  0x00000036982055a8  Yes (*)     /lib64/librt.so.1
0x0000003699a189a0  0x0000003699a7aca8  Yes (*)     /lib64/libgio-2.0.so.0
0x0000003699208970  0x0000003699231f78  Yes (*)     /lib64/libgobject-2.0.so.0
0x0000003699601080  0x0000003699601fc8  Yes (*)     /lib64/libgmodule-2.0.so.0
0x0000003696e13470  0x0000003696e8a188  Yes (*)     /lib64/libglib-2.0.so.0
0x00000036a5a00e10  0x00000036a5a01688  Yes (*)     /lib64/libutil.so.1
0x000000369721e9e0  0x000000369733d370  Yes (*)     /lib64/libc.so.6
0x00000036a0e09040  0x00000036a0e19c68  Yes (*)     /usr/lib64/libdbus-glib-1.so.2
0x00000036ab204730  0x00000036ab20f708  Yes (*)     /usr/lib64/libgnome-keyring.so.0
0x0000003696a00b00  0x0000003696a1984b  Yes (*)     /lib64/ld-linux-x86-64.so.2
0x0000003697600de0  0x0000003697601998  Yes (*)     /lib64/libdl.so.2
0x0000003698e038c0  0x0000003698e12558  Yes (*)     /lib64/libresolv.so.2
0x0000003698a05820  0x0000003698a15c08  Yes (*)     /lib64/libselinux.so.1
0x00007f1281ff5940  0x00007f128200e358  Yes (*)     /usr/lib64/gio/modules/libgvfsdbus.so
0x00000036a52028c0  0x00000036a520a7d8  Yes (*)     /lib64/libudev.so.0
0x00007f1282406110  0x00007f128240e0b8  Yes (*)     /lib64/libnss_files.so.2
(*): Shared library is missing debugging information.
$1 = 0x0
No symbol table is loaded.  Use the "file" command.
rax            0x0	0
rbx            0x12112a0	18944672
rcx            0xffffffffffffffff	-1
rdx            0x6	6
rsi            0x25bf	9663
rdi            0x25bf	9663
rbp            0x36a1a2c545	0x36a1a2c545
rsp            0x7ffff6b4ce38	0x7ffff6b4ce38
r8             0x0	0
r9             0x0	0
r10            0x8	8
r11            0x202	514
r12            0x36a1a2d690	234640037520
r13            0x1212740	18949952
r14            0x7ffff6b4cfa0	140737332432800
r15            0x0	0
rip            0x3697232a45	0x3697232a45 <raise+53>
eflags         0x202	[ IF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function raise:
   0x0000003697232a10 <+0>:	mov    %fs:0x2d4,%eax
   0x0000003697232a18 <+8>:	mov    %fs:0x2d0,%esi
   0x0000003697232a20 <+16>:	test   %esi,%esi
   0x0000003697232a22 <+18>:	jne    0x3697232a50 <raise+64>
   0x0000003697232a24 <+20>:	mov    $0xba,%eax
   0x0000003697232a29 <+25>:	syscall 
   0x0000003697232a2b <+27>:	mov    %eax,%esi
   0x0000003697232a2d <+29>:	mov    %eax,%fs:0x2d0
   0x0000003697232a35 <+37>:	movslq %edi,%rdx
   0x0000003697232a38 <+40>:	movslq %esi,%rsi
   0x0000003697232a3b <+43>:	movslq %eax,%rdi
   0x0000003697232a3e <+46>:	mov    $0xea,%eax
   0x0000003697232a43 <+51>:	syscall 
=> 0x0000003697232a45 <+53>:	cmp    $0xfffffffffffff000,%rax
   0x0000003697232a4b <+59>:	ja     0x3697232a5f <raise+79>
   0x0000003697232a4d <+61>:	repz retq 
   0x0000003697232a4f <+63>:	nop
   0x0000003697232a50 <+64>:	test   %eax,%eax
   0x0000003697232a52 <+66>:	jg     0x3697232a35 <raise+37>
   0x0000003697232a54 <+68>:	test   $0x7fffffff,%eax
   0x0000003697232a59 <+73>:	jne    0x3697232a6f <raise+95>
   0x0000003697232a5b <+75>:	mov    %esi,%eax
   0x0000003697232a5d <+77>:	jmp    0x3697232a35 <raise+37>
   0x0000003697232a5f <+79>:	mov    0x35853a(%rip),%rdx        # 0x369758afa0
   0x0000003697232a66 <+86>:	neg    %eax
   0x0000003697232a68 <+88>:	mov    %eax,%fs:(%rdx)
   0x0000003697232a6b <+91>:	or     $0xffffffffffffffff,%eax
   0x0000003697232a6e <+94>:	retq   
   0x0000003697232a6f <+95>:	neg    %eax
   0x0000003697232a71 <+97>:	jmp    0x3697232a35 <raise+37>
End of assembler dump.

Comment 2 Red Hat Case Diagnostics 2011-06-16 16:05:35 UTC
Created attachment 505088 [details]
File: backtrace

Comment 10 Tomáš Bžatek 2012-02-01 12:48:08 UTC
This is a known problem but so far nobody has came with a good reproducer. It depends on hardware and despite of my effort I wasn't able to reproduce the issue. Any information leading to the issue would be appreciated.


Note You need to log in before you can comment on or make changes to this bug.